{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-24.11";
    unstable.url = "github:nixos/nixpkgs/nixos-unstable";

    home-manager = {
      url = "github:nix-community/home-manager/release-24.11";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    trivium = {
      url = "git+https://git.posixlycorrect.com/deepState/trivionomicon.git";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = flakes @ {
    self,
    nixpkgs,
    unstable,
    home-manager,
    trivium,
  }:
    trivium.lib.mkSystemFlake {
      system = "x86_64-linux";
      inherit flakes;
    };
}
